title: lentement le bouillon du quotidien
url: https://www.la-grange.net/2020/12/01/bouillon
hash_url: 23d7d9b62bb1ffcf0ccb6c8e53e51e9e

<figure>
  <img src="https://www.la-grange.net/2020/11/28/9753-mailbox.jpg" alt="Boite aux lettres rouillée"/>
  <figcaption>Kamakura, Japon, 28 novembre 2020</figcaption>
</figure>
<blockquote>
<p>Chaque jour apporte sa <em>nouveauté technique</em> et le lot d'<em>obsolescences</em> et de <em>caducités</em> qui l'accompagne inévitablement : obsolescence des techniques existantes ainsi dépassées, caducité des situations sociales qu'elles avaient rendues possibles : hommes, régions, professions, savoirs, patrimoines de toutes natures qui doivent s'adapter ou disparaître.<br/>
— La technique et le temps - Bernard Stiegler, urn:isbn:978-2-213-70087-8</p>
</blockquote>
<p>David dans <a href="https://larlet.fr/david/2020/12/01/#contre-societe">Contre-société</a></p>
<blockquote>
<p>Lire de relativement vieux ouvrages a cet inconvénient de donner le sentiment d’être dans un monde qui n’évolue que très lentement. Les espérances et utopies d’aujourd’hui étaient déjà celles d’hier et d’avant-hier. <strong>Comment continuer à y croire ?</strong></p>
</blockquote>
<p>Thomas <a href="https://oncletom.io/2020/12/01/comment-continuer-a-y-croire/">répond</a> :</p>
<blockquote>
<p>Un jour j’ai arrêté de me dire “mais à quoi bon ?”, quand j’ai arrêté d’avoir “l’attente d’un monde meilleur”. Quand j’ai arrêté de vouloir le changer à un niveau qui me dépasse. Quand je me suis focalisé sur ce que je donne autour de moi (géographiquement parlant), et comment ce bout s’intègre dans d’autres mille-feuilles (administratif, historico-culturel). Quand j’ai commencé à dédier du temps et de l’argent à des choses qui ont trait à la vie, au vivant.</p>
</blockquote>
<p>Et il poursuit avec :</p>
<blockquote>
<p>Choisir son combat est aussi un truc bourgeois — au sens où j’en ai le choix, que je n’en hérite pas, et qu’y mettre de l’énergie m’emmènera peut-être “plus loin dans ma vie”. Un combat qui n’est pas choisi permet à peine de s’en dépêtrer. C’est celui que je vis avec la catastrophe écologique de notre société.</p>
</blockquote>
<p>Devons-nous sentir une forme de découragement face à la lenteur ? Et sans lenteur, et avec le pouvoir d'aligner le monde à nos croyances, nous nous précipitons dans chute autoritaire, celle de la dérive de la pensée rigide, celle du couteau, de la bombe, de la coupe blanche.</p>
<p>Bien sûr, ce n'est pas là le fil de pensée de David.</p>
<p>Changer le monde sans le détruire prend beaucoup de temps.</p>
<p>Le potier dans son geste répété façonne la terre pour lui donner forme. La haie plantée prendra plusieurs années à quelques dizaines d'années pour que les champs soient protégés des vents, que la belette y trouve son espace intime, et que le rouge gorge y définisse un refuge. Et alors la haie est plus grande que nous. Elle n'est plus ce que nous avons créé. Elle devient le témoin de ces générations qu'elle engendre. La haie n'est plus le patrimoine du domaine, mais nous devenons membre de l'écosystème de la haie au même titre que tous les animaux  et végétaux qui la cotoîe.</p>
<p>Alors moi-même, je me demande ce qui compte. Est-ce bien de changer le monde ou d'adopter des gestes, de malaxer les moments d'abandon pour y créer non pas du croire, mais pour se donner à la forme du participer en éveillant nos sens au monde. Nous composons avec chaque chose et avec nos propres contraintes individuelles. Nous n'existons pas dans la vacuité mais bien dans le bouillonnement du parfum de l'humus et les trajectoires désordonnées de la pluie.</p>
<p>Et cet ordinateur…</p>
<h2>sur le bord du chemin</h2>
<ul>
<li><p><a href="https://www.figma.com/blog/when-fonts-fall/">polices de caractères sur le Web</a>. Comment cela fonctionne-t-il ?</p>
</li>
<li><p><a href="https://erik-engheim.medium.com/why-is-apples-m1-chip-so-fast-3262b158cba2">Why is Apple’s M1 Chip So Fast?</a></p>
</li>
<li><p><a href="https://www.reuters.com/article/unilever-newzealand/unilever-to-try-out-four-day-working-week-in-new-zealand-idUSL1N2IG2DF">Progrès social</a></p>
<blockquote>
<p>Unilever said all 81 staff members at its offices across New Zealand will be able to participate in the trial, which starts next week and will run for 12 months until December next year.</p>
</blockquote>
<p>Quand je travaillais à l'IUFM de Paris, j'avais négocié quelque chose un peu similaire. La différence de travailler 4 jours par semaine à la place de cinq est énorme en termes de qualité et de bien être (à condition bien sûr d'avoir un salaire décent, mais cela existe quelque soit le nombre de jours travaillés.)</p>
</li>
<li><p><a href="https://radicle.xyz/">Intéressant ?</a>. A decentralized app for code collaboration. Une explication <a href="https://docs.radicle.xyz/docs/what-is-radicle.html">plus complète dans la documentation</a>.</p>
<blockquote>
<p>The network is powered by a peer-to-peer replication protocol built on Git, called Radicle Link. Radicle Link extends Git with peer-to-peer discovery by disseminating data via a process called gossip. That is, participants in the network share and spread data they are "interested" in by keeping redundant copies locally and sharing, otherwise known as "replicating", their local data with selected peers. By leveraging Git's smart transfer protocol, Radicle Link keeps Git's efficiency when it comes to data replication while offering global decentralized repository storage through the peer-to-peer networking layer.</p>
</blockquote>
</li>
<li><p><a href="https://www.theatlantic.com/magazine/archive/2020/12/whitewashing-the-great-depression/616936/">Whitewashing the Great Depression</a></p>
<blockquote>
<p>What’s my point? Each of the subjects in each of these pictures, produced by Farm Security Administration photographers, appears to be white. Although the photographers who worked for the FSA took many pictures of people of color—in the streets, in the fields, out of work—the Great Depression’s main victims, as Americans came to visualize them, were white. And this collective portrait has contributed to the misbegotten idea, still current, that the soul of America, the real American type, is rural and white.</p>
</blockquote>
</li>
</ul>
