title: Zam : simplifier le processus de réponse aux amendements
url: https://blog.beta.gouv.fr/dinsic/2019/01/18/zam-simplifier-les-reponses-aux-amendements/
hash_url: 572b785bc7ef89977817e656bbe3af12

<p>Mélodie Dahi est intrapreneure sur la Startup d’État Zam. Le produit a pour mission d’alléger la charge de préparation par le Gouvernement du débat parlementaire.</p>

<h2 id="pourquoi-avoir-lancé-la-startup-détat-zam">Pourquoi avoir lancé la Startup d’État Zam ?</h2>

<p>L’objectif de Zam c’est d’outiller les ministères pour les travaux de préparation du débat parlementaire sur les projets de loi. Aujourd’hui, aucun outil n’aide l’administration à gérer cette partie de son travail. Il n’existe pas de méthode commune et harmonisée alors que c’est quelque chose qui produit beaucoup de souffrance : délais très contraints, sujets très politiques, équipes disparates… On s’est aperçu qu’à travers la création d’un outil, on pouvait diminuer cette douleur.</p>

<h2 id="en-quoi-consiste-ce-travail-de-préparation">En quoi consiste ce travail de préparation ?</h2>

<p>Chaque fois qu’un amendement sur un projet de loi du Gouvernement est déposé par un parlementaire, aussi bien à l’Assemblée Nationale qu’au Sénat, l’administration doit apporter une réponse. Le délai est très court : on a généralement entre le vendredi soir, date butoir de dépôt des amendements, et le lundi matin, ouverture de la séance. Le nombre d’amendements déposés aujourd’hui par les parlementaires est très élevé, du jamais vu dans la cinquième République. Cela demande de travailler la nuit et le week-end : on ne peut pas faire autrement.</p>

<p><img src="https://blog.beta.gouv.fr/img/posts/2019-01-18-zam-equipe.jpg" alt="L'équipe de Zam"/>
<small>L’équipe de Zam en visioconférence</small></p>

<h2 id="quelles-sont-les-solutions-quapportent-votre-startup-détat">Quelles sont les solutions qu’apportent votre Startup d’État ?</h2>

<p>Pour commencer, Zam permet de recevoir les amendements en direct. Avant, on devait faire un travail fastidieux de recherche manuelle sur les sites des assemblées. La plateforme permet de réunir tout le travail de réponse : un utilisateur cherche un amendement, formule la réponse, son supérieur vérifie ou corrige, la valide, la passe au suivant, et le tout au même endroit. Il n’y plus de problème de versions différentes, de boites aux lettres qui explosent, ou de mauvaises manipulations de fichiers.</p>

<h2 id="zam-a-t-il-déjà-été-confronté-à-une-situation-réelle">Zam a-t-il déjà été confronté à une situation réelle ?</h2>

<p>Le produit a été testé sur les projets de loi de finances (PLF) et de loi de financement de la Sécurité sociale (PLFSS) pour 2019. Il s’agit de deux gros projets qui reviennent chaque année donc pour lesquels la souffrance est récurrente. Les administrations ciblées ont tout de suite voulu tester Zam ! L’outil a très bien été reçu, notamment grâce à son interface intuitive. Le gain de temps était lui aussi significatif. À titre d’exemple, l’année dernière j’ai accumulé 13 jours de récupération suite à des heures supplémentaires pour formuler des réponses sur le PLFSS. Cette année, je suis descendue à 8 : j’ai moins eu besoin de rester tard au travail. Suite à ces retours, Zam a aussi été mis à contribution sur le projet de loi portant mesures d’urgence économiques et sociales – le projet de loi « Gilets Jaunes ».</p>

<h2 id="et-pour-la-suite-que-réserve-lannée-2019">Et pour la suite, que réserve l’année 2019 ?</h2>

<p>Nous avons décidé dans un premier temps de nous attaquer à la validation des réponses. Aujourd’hui, le procédé est entièrement manuel et pourrait être amélioré. Le gros défi sur lequel nous travaillons est de trouver un moyen intelligent d’intégrer dans Zam les validations successives de réponses. Nous sommes cinq dans l’équipe pour faire avancer le produit : côté développement, David est au Canada et Ronan à Amiens ; notre designeuse Maïtané est à Toulouse ; enfin Raphaël notre coach et moi-même sommes à Paris. Nous travaillons de manière asynchrone – ce qui ne nous empêche pas d’avoir assez de confort pour avancer efficacement et sereinement !</p>

<blockquote>
  <p><a href="https://beta.gouv.fr/startups/zam.html">En savoir plus sur la Zam</a></p>
</blockquote>
