title: Végétarien carnivore
url: https://oncletom.io/2020/01/12/vegetarien-carnivore/
hash_url: a1ba10f6326b0ed4c9ca343a214f671d

<p>Je n'achète plus de viande par défaut depuis une dizaine d'années. Et depuis 2 ans, je suis cuisine explicitement végétarien pour les repas de fête/famille — je considère la viande comme une option.</p>
<p>Mais je mange quand même de la viande de temps en temps. Parce qu'y en a à l'apéro, parce que dans un resto l'option végétarienne n'est pas attrayante et aussi parce que des fois l'offre que je vois me plait.</p>
<p>J'ai voulu me donner comme défi d'être exclusivement végétarien cette année. Alors j'ai décortiqué le sentiment à l'origine de l'idée :</p>
<ul>
<li>je refuse qu'autant de terres agricoles, qu'autant d'eau, qu'autant d'énergie soient mises en jeu, au lieu de mieux nourrir les habitant·es de la planète ;</li>
<li>je refuse les conditions d'élevage, tant des animaux que des humains qui sont employées dans ces carnages (<a href="https://www.franceculture.fr/emissions/les-pieds-sur-terre/journal-breton" target="_blank" rel="noopener">Journal Breton</a> et <a href="https://www.franceculture.fr/emissions/les-pieds-sur-terre/journal-breton-saison-2" target="_blank" rel="noopener">Journal Breton Saison 2</a> sont parlants à ce sujet)</li>
<li>je n'aime pas l'idée de tuer un être vivant, mais les végétaux que je mange sont eux aussi vivants — où est la frontière ?</li>
<li>ne pas manger de viande n'inclut pas la problématique de la "distance alimentaire", ni des conditions de rémunération des personnes qui produisent les aliments que je consomme — ne regarder que l'aspect "viande", c'est ne pas regarder la question alimentaire dans son ensemble.</li>
</ul>
<p>J'ai l'impression que "manger sans nourrir le système industriel, le plus local et le plus respectueux de la nature" serait une proposition plus en ligne avec mes valeurs.</p>
<p>Je suis curieux de savoir comment tu abordes cette question.</p>
