title: Acte de naissance
url: http://scopyleft.fr/blog/2013/acte-de-naissance/
hash_url: f6f75ff6a361536ccb7a2861ee386bbd

<blockquote>
<p>« Ce n’est pas un signe de bonne santé que d’être bien adapté à une société profondément malade » — <a href="https://fr.wikipedia.org/wiki/Jiddu_Krishnamurti">Krishnamurti</a></p>
</blockquote>
<p>Le projet de monter une <a href="http://www.les-scop.coop/sites/fr/les-scop/qu-est-ce-qu-une-scop.html">coopérative</a> de développement Web avait germé il y a bien longtemps dans nos cerveaux épris d’équité et de démocratie solidaire ; nous sommes heureux de donner concrètement vie à cette idée en créant un outil de travail pleinement conforme à nos valeurs. Oui, nous venons de créer <a href="http://scopyleft.fr/">la boîte dont nous avons toujours rêvé</a>.</p>
<p>Scopyleft est empreinte de nos convictions parmi les plus insensées ; celles de partager, d’échanger, de redistribuer, de <a href="http://scopyleft.fr/transparence/">s’ouvrir le plus complètement possible</a>, de se donner les moyens de <a href="http://scopyleft.fr/bien-etre/">s’épanouir et d’être heureux</a> dans l’exercice de notre activité professionnelle. Puisqu’on vous dit qu’on est fous.</p>
<h3>Vaste programme</h3>
<p>Évidemment, tout n’a pas été forcément facile durant cette phase de création. Et contre toute attente, les <a href="https://github.com/scopyleft/documentation/blob/master/incubateur/creation-scop.md">démarches administratives</a> n’ont pas été les obstacles les plus difficiles à surmonter, malgré leur pénibilité. Le plus stimulant — bien qu’éprouvant — a été de confronter, valider et accorder nos principes et valeurs respectifs.</p>
<p>Ce travail de plusieurs mois, bien plus fastidieux qu’il peut n’y paraître de prime abord,  nous a permis d’engager de nombreuses discussions, de soulever tout autant d’interrogations et de prendre le temps d’y répondre, ensemble. Ces efforts ont débouché sur l’établissement d’un manifeste, dont la version la plus épurée <a href="http://scopyleft.fr/#manifeste">accueille aujourd’hui les visiteurs sur le site</a>. Une <a href="https://github.com/scopyleft/documentation/blob/master/administratif/statuts.md#manifeste">version plus détaillée</a> de ce manifeste a été également ajoutée en préambule des statuts de la société.</p>
<h3>Transparence</h3>
<p>Si vous avez cliqué sur le lien précédent, vous vous êtes probablement rendu compte que nous avons mis à disposition les <a href="https://github.com/scopyleft/documentation/blob/master/administratif/statuts.md">statuts de Scopyleft</a> publiquement sur Github, ainsi que <a href="https://github.com/scopyleft/documentation">tout un ensemble de ressources</a> liées à la constitution, mais aussi à <a href="https://trello.com/board/quotidien/50879d153736d86435004cba">nos encours quotidiens</a> (excepté les échanges confidentiels avec nos clients bien entendu),  <a href="https://github.com/scopyleft/documentation/tree/master/pilotage/retrospectives">nos rétrospectives</a> ou encore <a href="https://docs.google.com/spreadsheet/ccc?key=0Al7gTbdJfUcPdFVkZ1BXdVRuMTlocFJWYjdUeU9MTmc#gid=14">notre comptabilité</a> !</p>
<p>Nous projetons de rédiger à terme des <a href="https://github.com/scopyleft/documentation#readme">notices explicatives</a> pour chacun des types de document que nous libérons et de régulièrement publier ici-même le fruit de nos expérimentations à ce sujet.</p>
<p>Bien évidemment, vous êtes encouragés à contribuer et vous approprier ces documents, leur amélioration collective étant l’un des principaux objectifs de cette libération.</p>
<h3>Aspirations</h3>
<p>Nous souhaitons avant tout mettre nos compétences individuelles et collectives au service de projets Web et mobiles utiles au plus grand nombre.</p>
<p>Nous avons à notre disposition une très bonne connaissance du Web en général et de technologies comme <a href="http://python.org/">Python</a>, <a href="http://www.djangoproject.com/">Django</a> et <a href="https://developer.mozilla.org/fr/docs/JavaScript">Javascript</a> en particulier.</p>
<p>Nous abordons chaque nouveau projet avec un regard neuf et débutant. Nous prenons beaucoup de plaisir à échanger, à partager notre culture et nos valeurs en accompagnant partenaires et organisations dans leur transformation <a href="http://agilemanifesto.org/">Agile</a> ou vers le <a href="https://fr.wikipedia.org/wiki/Lean_IT">Lean thinking</a>.</p>
<p><strong>Nous n’attendons maintenant plus qu’une chose : concevoir et fabriquer de belles choses, avec vous.</strong></p>
