title: Web envoûté
url: https://www.la-grange.net/2021/06/02/envoutement
hash_url: 8809cdb7b9693d1edff1f6627eeaae83
    
<figure>
  <img src="https://www.la-grange.net/2021/05/30/1095-poteau-rouille.jpg" alt="peinture écaillée sur un poteau rouillé.">
  <figcaption>Tsujido, Japon, 30 mai 2021</figcaption>
</figure>
<blockquote>
<p>Une fois dans ma vie, je fus envoûtée.<br>
— Le pays sans nom, Anna Moï, urn:isbn:978-2-8159-2795-6</p>
</blockquote>
<p>Qu'advient-il de nos sites Web quand nous disparaissons ? Et le problème se pose-t-il de la même façon avec ou sans enfants ? Robin <a href="https://www.robinrendle.com/notes/inheritance.html">écrit</a> en février dernier :</p>
<blockquote>
<p>I thought about this the other day, too. When I die my website will probably stick around until my bank account stops sending money to Hover or Netlify. I guess my brother might have the login details and could start paying for my domain name but then what? If I ever have kids will they take the keys to this thing?</p>
</blockquote>
<p>La question probablement plus importante que celle de la longévité posthume est probablement l'intérêt de la transmission. Les projets open source naissent et meurent indépendamment de leurs créateurs. Si un projet provoque suffisamment d'intérêt dans une communauté choisie, il survivra à l'abandon volontaire ou circonstanciel.</p>
<p>Sommes-nous à ce point envoûtés par le possible de nos mots, par la facilité de la transmission, qu'il nous faille croire à l'immortalité de la prose ? Les mots et encore plus les histoires autour des mots survivent dans les bouches qui manœuvrent les sons, et les tympans qui entrent en transe. La mémoire d'une légende est bien plus riche dans sa multitude que dans le texte fossilisé.</p>
<p>Peut-être qu'il ne faut pas tant se soucier de l'existence posthume d'un site Web. Il suffit qu'une personne ou une communauté de personnes pour réaliser la copie d'un site Web. Et si les enfants ou les grands-enfants avaient un quelconque désir de sauvegarde, ils reprendront le labour des mots. Ils garderont la chandelle vacillante dans la tempête.</p>
<p>J'avais dans le passé une optique plus planificatrice de la maintenance éventuelle de ce site Web au cas de ma disparition. Capitaine de bord, il me fallait tout prévoir et envisager des coups, de la vermine et du scorbut. Je suis beaucoup plus détaché maintenant. J'ai trouvé mon île sans vendredi, juste la tranquillité du sable et de la forêt épaisse. Une forme de libération, une contrainte de moins à gérer, une écriture du maintenant parce que demain n'appartient pas à mes souvenirs.</p>
<h2 id="links">sur le bord du chemin</h2>
<ul>
<li><a href="https://mlstory.org/introduction.html">Machine Learning</a></li>
<li><a href="https://hacks.mozilla.org/2019/04/teaching-machines-to-triage-firefox-bugs/">Teaching machines to triage Firefox bugs</a></li>
<li><a href="https://github.com/mozilla/bugbug">BugBug</a><blockquote>
Bugbug aims at leveraging machine learning techniques to help with bug and quality management, and other software engineering tasks (such as test selection and defect prediction).</blockquote>
</li>
<li><a href="https://www.nytimes.com/2021/03/02/realestate/how-to-choose-care-for-houseplants.html">How to Bring Nature Inside With the Right Houseplants</a></li>
</ul>
