title: The illusions of privacy (What about intimacy?)
url: http://www.otsukare.info/2019/05/27/privacy-illusions
hash_url: 37a7354cd13fb114d860480d29e9c702

<p>We have read in the news that big platforms are willing to tackle head on privacy. The word "privacy" became an act of marketing, a way to sell a brand, to grow market shares, to renew or increase trust. This became an object of commerce. We even see <a href="https://www.fastcompany.com/90350815/if-anyone-can-give-us-a-real-facebook-alternative-its-apple">debates</a> on who could provide the best solution for a privacy oriented platform or that <a href="https://www.nytimes.com/2019/05/23/opinion/privacy-tech-companies.html">privacy is a hype</a>.</p>
<p>For a long time, we know that the <a href="https://www.theguardian.com/commentisfree/2018/mar/28/all-the-data-facebook-google-has-on-you-privacy">amount of data collections</a> by any platforms is humongous.</p>
<p>In the same time, another topic of concerns has increased, security with different angles:</p>
<ul>
<li>being safe online for individual people</li>
<li>stopping massive data hacking</li>
<li>protecting knowledge and speech with regards to the surge of fake news</li>
</ul>
<p>All of these mostly resonate around the one-to-many/many-to-one issues.</p>
<p>But one thing is certain. The big platforms will redefine the word "privacy".  It will be a space where you communicate with your friends protected from the mass. <strong>Privacy will be redefined as small group communications</strong>. Don't be fooled. There is still one entity which will be recording everything, studying patterns of communications, making money on understanding your behavorial patterns. </p>
<p>Worseâ¦ with the illusion of privacy given by this smaller spaces of communications, the people using them will feel more secure, comfortable, more at home. They will stop thinking twice about sharing something, while the entity is still listening.</p>
<p>Intimacy is something we share with others in small groups indeed. It has a lot of variations, levels of opacity, adjusted for contexts. Big platforms will never be able to provide a true space of privacy or intimacy, while their core business is about listening on what we express. Smaller communication groups are indeed sometimes the solution, but they <strong>need to exist outside of any listening/recording apparatus</strong> created by a third party. Communications are a contract in between the people who choose to have them. <strong>Any</strong> third party listening, recording, analyzing to sell the value extracted from these communications challenges right away the notion of privacy. The <a href="https://onezero.medium.com/the-dark-forest-theory-of-the-internet-7dc3e68a7cb1">forest is not dark</a>, when someone is listening.</p>
<p>Otsukare!</p>
