title: An Open Letter to MEC Members from CEO David Labistour
url: https://www.mec.ca/en/explore/an-open-letter-to-mec-members-from-ceo-david-labistour
hash_url: 4aa5ab0c81465163e4dd06810ba28767

<p>Two weeks ago, 17 people lost their lives in a senseless and tragic school shooting in the U.S. The issue of gun violence and questions surrounding responsible gun use, ownership and manufacturing have made headlines around the world. While these issues are seemingly unrelated to MEC, it has recently come to light that several brands MEC sells are owned by a corporation that has holdings in the manufacture of assault-style weapons.</p>
<p>Thousands of MEC members have contacted us to express their concerns and to ask that we stop selling products made by these brands. We’ve also heard from members who believe that purchasing decisions like these should be left to individual consumers and that MEC should not get involved. The fact is, the debate has involved us and as a member-based organization we are compelled to respond.</p>
<p>Demonstrating leadership and leveraging the power of community, are among MEC’s core values. With this in mind, we have taken time to listen to our members’ views, consult internally and reach out to others in our industry. From what we’ve heard, we know that no decision we make will satisfy everyone. We are in the midst of a complex and highly charged debate with as many opinions as there are people expressing them.</p>
<p>My responsibility as CEO is to ensure that we make thoughtful, informed decisions in the best interest of our Co-op and effect change where this is possible and consistent with our presence in the marketplace.</p>
<p>After careful consideration, we have decided to:</p>
<ul>
<li>Effective immediately, suspend any further orders with the five brands owned by Vista Outdoor which we carry (Bollé, Bushnell, CamelBak, Camp Chef, Jimmy Styks). Existing inventory will remain on our shelves until it has sold through.</li>
<li>Continue to engage with these brands as well our peers in the outdoor industry in North America in ways that are consistent with our mission and values. We welcome opportunities to engage with other organizations to help build consensus around the potential for constructive social impact related to purchasing.</li>
</ul>
<ul>
<li>Lean in further on the question of what corporate social responsibility means for MEC, widening our scope beyond environmental footprint and responsible sourcing to consider ownership structures.</li>
</ul>
<p>On a very personal note, many of us come from parts of the world where we have witnessed the use and impact of guns first-hand. I include myself in that community. I have proudly served in the military and grew up in a rural area where hunting was commonplace. I can readily identify with our members who are on all sides of this debate. At the same time, my personal experience has taught me about the power of engagement. I believe that engagement is the path to change, as tough as it might be.</p>
<p>So, the questions before us are: what can a Canadian retail co-operative with more than five million members, a business that exists to get people active outdoors, do to effect positive change while continuing to ensure that we serve our members’ needs? At the same time, how do we act as a catalyst for this important debate while we maintain the integrity of our Co-op?</p>
<p>I hope that you will see that the decision we made today is balanced and considered and positions us to inspire a wider discussion throughout our industry and North America.</p>
<p>We appreciate your constructive and respectful dialogue on these important matters.</p>
<p>Yours sincerely,</p>
<p>David Labistour</p>
