title: Why my book can be downloaded for free
url: http://blog.plover.com/2014/12/01/
hash_url: 87117b2d6f28af858ab2e5a159f06c5a

<p>People are frequently surprised that my book, <em><a href="http://hop.perl.plover.com">Higher-Order Perl</a></em>, is available as <a href="http://hop.perl.plover.com/book/">a free download from my web site</a>. They ask if it
spoiled my sales, or if it was hard to convince the publisher. No and
no.</p>

<p>I sent the HOP proposal to five publishers, expecting that two or three would
turn it down, and that I would pick from the remaining two or three,
but somewhat to my dismay, all five offered to publish it, and I had
to decide who.</p>

<p>One of the five publishers was Morgan Kaufmann. I had never heard of
Morgan Kaufmann, but one day around 2002 I was reading the web site of
<a href="https://blogs.law.harvard.edu/philg/">Philip Greenspun</a>.  Greenspun
was incredibly grouchy.  He found fault with everything.  But he had
nothing but praise for Morgan Kaufmann.  I thought that if Morgan
Kaufmann had pleased Greenspun, who was nearly impossible to please,
then they must be really good, so I sent them the proposal. (They
eventually published the book, and did a superb job; I have never
regretted choosing them.)</p>

<p>But not only Morgan Kaufmann but four other publishers had offered to
publish the book. So I asked a number of people for advice.  I
happened to be in London one week and Greenspun was giving a talk
there, which I went to see.  After the talk I introduced myself and
asked for his advice about picking the publisher.</p>

<p>Greenspun reiterated his support for Morgan Kaufmann, but added that
the publisher was not important.  Instead, he said, I should make sure
to negotiate permission to make the book available for free on my web
site.  He told me that compared with the effort that you put into the
book, the money you get back is insignificant. So if you write a book
it should not be because you want to make a lot of money from it but
because you have an idea that you want to present to the world.  And
as an author, you owe it to yourself to get your idea in front of as
many people as possible.  By putting the book in your web site, you
make it available to many people who would not otherwise have access
to it: poor people, high school students, people in developing
countries, and so on.</p>

<p>I thought that Greenspun's idea made sense; I wanted my ideas about
programming to get to as many people as possible.  Also, demanding
that I make the book available on my web site for free seemed like a
good way to narrow down the five publishers to two or three.</p>

<p>The first part of that plan worked out well.  The second part not so
well: all five publishers agreed.  Some agreed reluctantly and some
agreed willingly, but they all agreed.  Eventually I had the book
published by Morgan Kaufmann, and after a delay that seemed long at
the time but in retrospect seems not so long, I put the book on my web
site.  It has been downloaded many times.  (It's hard to say how many,
since browsers often download just the portion of the PDF file that
they need to display.)</p>

<p>Would the book have made more money if it were not available as a free
download?  We can't know for sure, but I don't think so.  The book has
always sold well, and has made a significant amount of money for me
and for Morgan Kaufmann.  The amount I made is small compared to the
amount of work I had to put in, just as Greenspun said, but it was
nothing to sneeze at either.  Even now, ten years later, it is still
selling and I still get a royalty check every six months. For my book
to have lasted ten years is extremely rare.  Most computer books
disappear without a trace after six months.</p>

<p>Part of this is that it's an unusually good book.  But I think the
longevity is partly because it is available as a free
download. Imagine that person A asks a question on an Internet forum,
and person B says that HOP has a section that could help with the
question.  If B wants to follow up, they now must find a copy of HOP.
If the book is out of print, this can be difficult.  It may not be in
the library; it almost certainly isn't in the bookstore.  Used copies
may be available, but you have to order them and have them shipped,
and if you don't like it once it arrives, you are stuck with it.  The
barrier is just too high to be convenient.  But since HOP is available
on my web site, A can include a link, or B can find it with an easy
web search. The barrier is gone!  And now I have another reader who
might mention it to someone else, and they might even buy a copy.
Instead of drifting away into obscurity, HOP is a book that people can
recommend over and over.</p>

<p>So my conclusion is, Greenspun's advice was exactly correct.  As an
author, you owe it to yourself to make your book available to as many
people as possible.  And the publisher may agree, so be sure to ask.</p>

<p>[ Addendum: Some people are just getting the news, but the book was published in 2005, and has been available as a free download since 2008. ]</p>
