title: Amir Taaki, l’anarchiste pro-Kurde qui veut repolitiser les hackers
url: https://usbeketrica.com/article/amir-taaki-l-anarchiste-pro-kurde-qui-veut-repolitiser-les-hackers
hash_url: 005ce2de88f4572bab2af5426d637e84

<p>À 30 ans à peine, Amir Taaki a déjà vécu plusieurs vies. Star du <a href="/article/bitcoin-peut-on-arreter-ce-monstre-energivore" target="_blank">bitcoin</a>, militant anarchiste, combattant sur le terrain pour la cause kurde, il se donne désormais pour mission de repolitiser le mouvement hacker en créant une académie dédiée à cette tâche. Baptisé <a href="https://polyteknik.org/poly.pdf" target="_blank">Autonomous Polytechnics</a>, cet institut sera basé à Barcelone, où Amir a accepté de nous rencontrer. Retrouvez également l'intégralité de ce portrait dans <a href="/magazine" target="_blank">le nouveau numéro d'</a><em><a href="/magazine" target="_blank">Usbek &amp; Rica</a>.</em></p>
<p>Amir Taaki est un personnage insaisissable. Rencontrer ce garçon exige de passer par une première phase d’acharnement téléphonique. À force d’insistance, le jeune Anglo-Iranien finit par me donner rendez-vous devant un petit immeuble de Barcelone, non loin de la Sagrada Familia. La Aurea Social sert de quartier général à une multitude de projets sociaux. Amir me fait traverser le rez-de-chaussée, encombré d’une nuée de vêtements et de chaussures. <em>« C’est pour une collecte »</em>, précise-t-il. Amir Taaki m’entraîne vers le toit pour <em>« discuter au calme</em> <em>»</em>.</p>
<p>Assis sur son siège en plastique blanc, le trentenaire me fait face, béret noir vissé sur la tête, Ray-Ban sur le nez, les yeux perdus sur les toits de la capitale catalane. C’est à Barcelone qu’Amir a décidé d’installer son institut <a href="https://polyteknik.org/poly.pdf" target="_blank">Autonomous Polytechnics</a>, une académie censée redonner un souffle politique à la « communauté » des hackers.</p>
<p><iframe src="https://www.youtube.com/embed/OPmLn2fLcvU" frameborder="0" allowfullscreen="">VIDEO</iframe></p>
<p>Pour comprendre la raison d’être de cette structure supposée mettre la technologie au service de buts sociaux et politiques, il faut d’abord remonter le cours de l’histoire personnelle d’Amir. À 13 ans, il obtient son premier ordinateur. L’adolescent passe un nombre d’heures incommensurables à tâtonner, apprendre, pour enfin maîtriser le langage d’Internet. <em>« J’ai beaucoup travaillé pour réussir à comprendre ce monde. C’était devenu une obsession. Pendant cette période, j’ai été très marqué par Linux et les logiciels libres. »</em> La progression de l’autodidacte est impressionnante. Quelques années lui suffisent pour devenir un codeur de génie. <em>« Et puis j’ai entendu parler de l’idée de créer une nouvelle économie qui existerait dans l’Internet. Je me suis reconnu dans cette vision des choses. On disait aussi que cette nouvelle économie pourrait inspirer les autres pans de la société. »</em></p>
<blockquote>
<p>La rumeur avait couru qu’Amir Taaki et Satoshi Nakamoto, « l’inventeur » du bitcoin – dont l’identité exacte est toujours inconnue –, n’étaient qu’une seule et même personne</p>
</blockquote>
<p>Il participe alors aux débuts de l’aventure bitcoin, la crypto-monnaie la plus utilisée aujourd’hui. Les incroyables capacités d’Amir n’échappent pas aux observateurs avisés : en 2014, son nom apparaît dans le classement du magazine <em>Forbes</em> des « 30 Under 30 », qui établit la liste des personnalités les plus prometteuses du secteur de la tech – et potentiellement susceptibles de devenir un jour millionnaires grâce à leurs innovations. Un classement qu’Amir s’est bien gardé d’évoquer pendant notre entretien, sans doute parce que ce palmarès ne colle pas avec l’image d’anarchiste révolutionnaire qu’il s’est ensuite évertué à construire. À l’époque, la rumeur avait même couru qu’Amir Taaki et Satoshi Nakamoto, « l’inventeur » du bitcoin – dont l’identité exacte est toujours inconnue –, n’étaient qu’une seule et même personne.</p>
<h2><strong>« Deux cents idées à la seconde »</strong></h2>
<p>La notoriété d’Amir décolle surtout à partir du moment où il met en place le « dark wallet » : <em>« Le concept du dark wallet était de créer un portefeuille de </em><em>bitcoins permettant de faire des transactions sans laisser de traces sur la blockchain.</em> <em>»</em> Pour relever ce défi, Amir rassemble une équipe de développeurs informatiques à la réputation parfois sulfureuse, à l’image de Cody Wilson, un Texan célèbre pour avoir imprimé des armes en 3D. Si le dark wallet se présente comme un instrument de liberté, il peut aussi être utilisé pour toutes sortes de trafics illicites ou le blanchiment d’argent. <em>« L’État islamique avait recommandé à ses membres l’utilisation du dark wallet »</em>, reconnaît Amir Taaki, du ton légèrement provocant de celui qui assume tout. <em>« Le dark wallet était une bonne idée. Mais je pense qu’il y a eu un problème dans l’exécution du projet. La mise de fonds était trop faible pour résister à la concurrence</em>, estime quant à lui Stephan Tual, ami d’Amir et cofondateur de la <a href="/article/typologie-des-crypto-monnaies-a-l-usage-de-ceux-qui-n-y-comprennent-rien" target="_blank">crypto-monnaie Ethereum</a>. <em>C’est un trait de caractère spécifique aux génies : ils ont deux cents idées à la seconde, mais ils ne sont pas très doués pour la mise en application. »</em></p>
<p><iframe src="https://www.youtube.com/embed/A0tCaOI0UYM" frameborder="0" allowfullscreen="">VIDEO</iframe></p>
<p>Amir Taaki décide alors de quitter l’univers du bitcoin, perverti selon lui par ceux qui ne cherchent qu’à faire du profit : <em>« Aujourd’hui, on n’est plus du tout dans l’esprit originel du bitcoin. Les businessmans et les entreprises ont pris les commandes. Au départ, l’objectif était d’avoir une monnaie qui ne serait ni contrôlée par l’État, ni par les banques centrales. C’est ça qui faisait du bitcoin un projet politique</em>. <em>»</em> Amir reste silencieux quelques secondes en se frottant la barbe, comme pour donner plus de poids aux mots qu’il s’apprête à prononcer : <em>«</em> <em>La technologie n’est jamais neutre. »</em></p>
<blockquote>
<p>« Amir aurait pu devenir millionnaire, mais il a choisi un autre chemin. Il s’est investi dans les causes auxquelles il croyait. »</p>
</blockquote>
<p>Ce choix de prendre ses distances avec le bitcoin fait encore aujourd’hui l’admiration de Stephan Tual : <em>« On rencontre beaucoup de gens cyniques et intéressés par le profit dans l’univers des crypto-monnaies. Amir n’est pas comme ça. Il aurait pu devenir millionnaire, mais il a choisi un autre chemin. Il s’est investi dans les causes auxquelles il croyait. »</em></p>
<p>Amir se fait discret avant de ressurgir, quelques mois plus tard, au Rojava, dans le nord de la Syrie. C’est là que ses penchants anarchistes l’ont mené pour défendre les Kurdes face à l’État islamique, dans une région devenue le laboratoire politique du peuple kurde. La zone s’est en effet déclarée « fédérale et administrative » le 17 mars 2016. Son modèle de gouvernance s’inspire du « confédéralisme démocratique » théorisé par Abdullah Öcalan, le chef du Parti des travailleurs du Kurdistan (PKK), arrêté au Kenya en 1999 et emprisonné depuis sur une île turque de la mer de Marmara.</p>
<h2><strong>Sur le front avec les Kurdes</strong></h2>
<p>Séduit par cette dimension expérimentale, Amir décide de s’engager physiquement aux côtés des Kurdes : <em>« Ce qui est fait en ce moment au Rojava peut être une étape très importante pour les anarchistes. J’ai senti qu’il était de mon devoir d’aller défendre le Rojava. J’ai tout lâché et j’y suis allé. »</em></p>
<p>Il emporte avec lui du matériel informatique, dans l’espoir de mettre son génie technologique au service du Rojava. Mais, arrivé sur place, c’est un tout autre programme qui l’attend. C’est surtout de main-d’œuvre humaine dont les Kurdes ont besoin pour faire face à l’État islamique. Amir est donc envoyé se battre sur la ligne de front avec les YPG (Unités de protection du peuple).</p>
<figure class="default"><img src="https://s3-eu-west-1.amazonaws.com/usb-prd-upload/images/thumb_840xh/5b194eb40c15d.jpg" alt="Une combattante kurde des Unités de protection du peuple"/>
<figcaption>Une combattante kurde des Unités de protection du peuple / © Kurdishstruggle / Flickr</figcaption>
<figcaption/>
</figure>
<p>Lorsqu’il raconte cet épisode, Amir Taaki reste flou. Il préfère évoquer son apprentissage de la langue kurde. Au bout de trois mois et demi sur le front, le combattant débutant est envoyé à l’arrière. D’abord dans un comité économique où il s’occupe du recyclage et de l’implantation d’usines à engrais. Il apporte ensuite sa contribution intellectuelle à des projets de recherche sur l’énergie, l’industrie et la technologie. D’ailleurs, l’idée initiale d’Amir Taaki était d’installer du réseau au Rojava, ce qu’il a en partie réussi à faire : <em>« Mais rien de substantiel</em> <em>»</em>, nuance-t-il.</p>
<blockquote>
<p>« Abdullah Öcalan est un des plus grands penseurs du XXI<sup>e</sup> siècle. C’est un prophète. »</p>
</blockquote>
<p>Après un an et demi en Syrie, le pionnier du bitcoin fait ses valises pour revenir en Angleterre. Mais à l’aéroport, la police saisit son passeport et l’assigne à résidence : <em>« Les autorités voulaient savoir ce que je faisais exactement en Syrie. Parce que si tu vas te battre pour tes idées, pour une idéologie, tu es considéré comme un terroriste</em>. <em>»</em> Alors, pendant toute une année, Amir Taaki reste en Angleterre. <em>« Une année horrible »</em>, grimace-t-il. Mais l’ex-soldat ne reste pas les bras croisés. Il lit et étudie, <em>« surtout </em><em>pour comprendre la pensée d’Öcalan</em> <em>»</em>.</p>
<figure class="medium"><img src="https://s3-eu-west-1.amazonaws.com/usb-prd-upload/images/thumb_wx1200/5b194dc997f80.jpg" alt="Manifestants pro-PKK à Londres, en avril 2003"/>
<figcaption>Manifestants pro-PKK à Londres, en avril 2003 / © FrancisTyers~commonswiki</figcaption>
<figcaption/>
</figure>
<p>La lecture des écrits du chef du PKK l’a beaucoup marqué : <em>« C’est un des plus grands penseurs du XXI<sup>e</sup> siècle. C’est un prophète.</em> <em>»</em> Amir profite également de son séjour forcé au Royaume-Uni pour aller à la rencontre des groupes anarchistes et des hackers du coin, qui le déçoivent profondément.</p>
<h2><strong>« Bulle de confort »</strong></h2>
<p>Après son année anglaise, Amir renouvelle l’expérience du contact des communautés anarchistes et des hackers, à l’échelle européenne cette fois. Partout, il dresse un même constat : celui de la dépolitisation. <em>« Aujourd’hui, l’utilisation de la technologie ne répond à aucune vision. La technologie est vraiment un grand pouvoir, et on devrait l’utiliser pour changer la société et la politique. Mais ceux qui savent utiliser cette technologie se retrouvent dans des </em>hacker spaces<em> et se consacrent à leurs projets individuels. Ils se servent de la technologie comme d’un jouet. » </em>Amir prend un ton blasé et peste : <em>« C’est vraiment très immature comme attitude. Les hackers devraient utiliser leurs compétences pour avoir une action sur la société. À la place, on a l’impression qu’être hacker est une déclaration à la mode, comme pour dire “Regarde, je suis hacker, je suis tellement cool”.</em> <em>»</em></p>
<blockquote>
<p>« En Occident, beaucoup de hackers n’ont aucune idée à défendre, ils sont juste perdus, enfermés dans leur bulle de confort »</p>
</blockquote>
<p>Même à Exarchia, quartier d’Athènes réputé pour abriter les derniers bastions d’anarchistes européens, la désillusion est au rendez-vous : <em>« Là-bas, ils s’habillent comme des anarchistes, ils parlent parfois comme des anarchistes, mais ils n’ont aucune conscience politique</em>. <em>»</em> De l’avis d’Amir, hackers et anarchistes souffrent du même mal : un manque d’implication réel dans le champ politique. Et cela serait la conséquence d’un <em>« monde incroyablement complexe. En Occident, beaucoup de hackers n’essaient pas d’améliorer la situation pour mieux appréhender le monde parce qu’ils ont purement et simplement arrêté de croire en quoi que ce soit. Ils n’ont aucune idée à défendre, ils sont juste perdus, enfermés dans leur bulle de confort</em> <em>»</em>.</p>
<p>Fort de toutes ces expériences, Amir Taaki conçoit un projet qui rassemblerait toutes les facettes de sa personnalité : le hacker surdoué, l’anarchiste ancré dans le réel et l’admirateur du penseur Abdullah Öcalan. Ce sera une académie pour hackers. Jusqu’à ce moment de notre entrevue, Amir s’est exprimé de manière un peu décousue, se lançant dans de longs raisonnements où lui-même semblait parfois s’égarer, s’interrompant quelques secondes entre deux mots, comme pour retrouver le fil de sa pensée. Mais lorsqu’il parle de Polytechnics, il prend soin de trouver le bon équilibre entre concepts idéologiques et données concrètes pour expliquer le futur fonctionnement de son institut.</p>
<h2><strong>Programme scolaire sous Linux</strong></h2>
<p>Il s’agit de rassembler une équipe de cinq personnes, <em>« pour commencer</em> <em>»</em>, dans le but de leur fournir un entraînement à la fois idéologique et physique. <em>« Ils étudieront Öcalan, évidemment, mais aussi des penseurs comme Friedrich Nietzsche, Michel Foucault ou Max Weber. Ils verront aussi l’histoire des techniques, la sociologie, la méthodologie… »</em> Les candidats pourront être des hommes comme des femmes, mais jeunes de préférence. Il ne faudra pas nécessairement être un hacker, même si les programmeurs seront plus à même d’intégrer l’institut. En revanche, une motivation de fer et le partage des valeurs prônées par Amir Taaki seront déterminants : <em>« Les membres devront observer une discipline stricte et être entièrement dévoués à la cause. »</em> L’emploi du temps, quasi martial, qui prévoit des journées démarrant à 6 heures et comprenant six leçons par jour, est d’ores et déjà établi. Le sport sera un complément d’apprentissage, non pas pour devenir une force paramilitaire, mais pour <em>« avoir un esprit sain dans un corps sain »</em>, souligne Amir.</p>
<figure class="default"><img src="https://s3-eu-west-1.amazonaws.com/usb-prd-upload/images/thumb_840xh/5b194f9ed87af.jpg" alt="Dessin de François Olislaeger pour Usbek &amp; Rica"/>
<figcaption>Dessin de François Olislaeger pour Usbek &amp; Rica</figcaption>
<figcaption/>
</figure>
<p>Le projet Autonomous Polytechnics est détaillé dans un dossier de 18 pages qu’il distribue dans différentes réunions. On y découvre que le groupe de cinq personnes aura comme première mission d’appuyer le mouvement enclenché au Rojava : <em>« Ceux qui seront des nôtres seront les leaders d’un futur mouvement technologique organisé autour d’une initiative méthodologique et idéologique née de la longue lutte des Kurdes contre les forces féodales oppressives cherchant à supprimer leur existence. </em>(…)<em> Il est impératif de commencer à mettre en place le bras technologique de ce mouvement. Notre portée est historique et globale. Nous voulons toucher tous les secteurs de la société à travers la technologie, pour l’influencer selon nos idéaux. »</em></p>
<p>Le document précise aussi que l’administration actuelle du Rojava est favorable à la mise en place d’actions menées par le futur institut. Les mots de Stephan Tual au sujet de l’expérience syrienne d’Amir me reviennent alors en mémoire : <em>« Il n’est pas resté longtemps au front. Mais il a rencontré ce général qui s’est rendu compte de ses capacités et ils ont décidé ensemble de mettre des choses en place.</em> <em>»</em> Peut-être qu’en fin de compte Amir n’a pas juste fait partie sur place d’un comité économique mais qu’il a également profité de son séjour syrien pour jeter les bases de l’action de sa future académie.</p>
<blockquote>
<p>La création d’un programme scolaire sous Linux est prévue, ainsi que la configuration de plateformes en ligne pour « l’auto-organisation écologique »</p>
</blockquote>
<p>Le Rojava ne sera qu’une première étape, une première lutte. Amir prévoit déjà d’appuyer d’autres mouvements révolutionnaires qui partageront sa vision. Des antennes de l’institut sont prévues en Inde et en Amérique latine. Pour mener des actions concrètes sur tous ces terrains, Polytechnics s’est doté d’un plan précis dont la pierre angulaire sera le bitcoin, afin d’opérer différentes transactions financières. Des messageries et des réseaux sociaux spécifiques seront aussi mis en place. La création d’un programme scolaire sous Linux est prévue, ainsi que la configuration de plateformes en ligne pour <em>« l’auto-organisation écologique »</em>. Tout semble fin prêt. Au printemps 2018, l’institut devrait donc ouvrir ses portes aux cinq candidats sélectionnés.</p>
<p>Faut-il voir dans cette académie de hackers un rassemblement de doux dingues en mal de sensations fortes ? Ou plutôt le regroupement tout ce qu’il y a de plus sérieux d’hacktivistes pouvant apporter un soutien décisif aux futurs mouvements révolutionnaires ? Car après tout, les révolutions sont aussi, parfois, le fait d’individus solitaires et sortant des clous, dont le seul moteur est d’aller vers de<em> « nouveaux paradigmes »</em>, selon la formule qui revient sans cesse dans la bouche du codeur anarchiste. En tout cas, Amir tient déjà sa <em>baseline</em>. Une ambition qui sonne très Silicon Valley et que les candidats à son académie devront tous avoir chevillée au corps : « Changer le monde ».</p>
