title: Subject: Re: Qualifiers on Hypertext links...
url: https://www.w3.org/People/Berners-Lee/1991/08/art-6484.txt
hash_url: e39a703ed0d93c479d9c7d3b2f8444a9

    From: timbl@info .cern.ch (Tim Berners-Lee)
    Newsgroups: alt.hypertext
    Subject: Re: Qualifiers on Hypertext links...
    Message-ID: <6484@cernvax.cern.ch>
    Date: 6 Aug 91 14:56:20 GMT
    References: <1991Aug2.115241@ardor.enet.dec.com>
    Sender: news@cernvax.cern.ch
    Lines: 52


    In article <1991Aug2.115241@ardor.enet.dec.com> kannan@ardor.enet.dec.com (Nari  
    Kannan) writes:
    > 
    >    Is anyone reading this newsgroup aware of research or development efforts  
     in
    > the
    >    following areas:
    > 
    >     1. Hypertext links enabling retrieval from multiple heterogeneous sources  
     of
    > information?

    The WorldWideWeb (WWW) project aims to allow links to be made to any  
    information anywhere. The address format includes an access method  
    (=namespace), and for most name spaces a hostname and some sort of path.

    We have a prototype hypertext editor for the NeXT, and a browser for line mode  
    terminals which runs on almost anything. These can access files either locally,  
    NFS mounted, or via anonymous FTP. They can also go out using a simple protocol  
    (HTTP) to a server which interprets some other data and returns equivalent  
    hypertext files. For example, we have a server running on our mainframe  
    (http://cernvm.cern.ch/FIND in WWW syntax) which makes all the CERN computer  
    center documentation available. The HTTP protocol allows for a keyword search  
    on an index, which generates a list of matching documents as annother virtual  
    hypertext document.

    If you're interested in using the code, mail me.  It's very prototype, but  
    available by anonymous FTP from info.cern.ch. It's copyright CERN but free  
    distribution and use is not normally a problem.

    The NeXTstep editor can also browse news. If you are using it to read this,  
    then click on this: <http://info.cern.ch/hypertext/WWW/TheProject.html> to find  
    out more about the project. We haven't put the news access into the line mode  
    browser yet.

    We also have code for a hypertext server. You can use this to make files  
    available (like anonymous FTP but faster because it only uses one connection).  
    You can also hack it to take a hypertext address and generate a virtual  
    hypertext document from any other data you have - database, live data etc. It's  
    just a question of generating plain text or SGML (ugh! but standard) mark-up on  
    the fly. The browsers then parse it on the fly. 

    The WWW project was started to allow high energy physicists to share data,  
    news, and documentation. We are very interested in spreading the web to other  
    areas, and having gateway servers for other data.  Collaborators welcome! I'll  
    post a short summary as a separate article.


    Tim Berners-Lee             timbl@info.cern.ch
    World Wide Web project          Tel: +41(22)767 3755    
    CERN                    Fax: +41(22)767 7155
    1211 Geneva 23, Switzerland         (usual disclaimer)



