title: Pourquoi je vais manifester vendredi
url: http://dataholic.ca/2019/09/21/pourquoi-manifester-vendredi-27-septembre/
hash_url: 53ec5c1b25138ab218922edeac52d267

<p>Je partage l’avis de certains que le mouvement actuel de grève pour le climat fait quelques erreurs sur les stratégies employées. Toutefois, nous avons largement dépassé le moment où nous pouvons nous permettre de nous arrêter à ces “erreurs” qui font figurent de détail dans le portrait d’ensemble.</p>

<h2 id="larbre-et-la-forêt">L’arbre et la forêt</h2>

<p>Depuis que Greta Thunberg est devenue la figure de proue du mouvement environnementaliste, bien des commentateurs publics pérorent sur elle, ce qu’elle dit, ce qu’elle est. Ce faisant, ils se concentrent sur l’arbre au lieu de regarder la forêt, ils commentent la forme en oubliant le fond. Mais bon, parlons un peu de la forme quand même…</p>

<p>Peut-on sérieusement oser s’en prendre à une jeune femme qui se retrouve portée aux nues parce qu’elle a osé porter un message avec l’insistance qui est la sienne? Que chacun repense qui il était à 15-16 ans, les actions qu’il portait, les pensées qui était les siennes. Puis ensuite oser comparer ce que nous étions à cette époque et ce que fait et dit Greta… <abbr title="Trouble dans le spectre de l'autisme">TSA</abbr> ou pas. Alors oui, elle a raison quand elle dit que ceux qui s’en prennent à elle, le font parce qu’ils sont à court d’argument, parce qu’ils ont peur que le statu quo vacille.</p>

<p>Est-ce une bonne stratégie de mettre cette jeune femme dans cette situation. À mes yeux non. Le mouvement est trop lié à sa personne, pour le meilleur jusqu’à présent, mais pour le pire aussi. En fait, quand on y pense, c’est une responsabilité qui ne devrait incomber à personne. Un jour il sera trop facile de dire que parce qu’elle a dit ceci ou fait cela, elle a nuit à la “cause”. Je suppose qu’elle en est consciente, elle prend le risque de porter sur ses épaules bien des déceptions, sans parler des critiques actuelles, et rien que pour cela, ce n’est pas juste, vis-à-vis d’elle.</p>

<p>Ceci dit: cela fait des années, des décennies même, que les avertissements fusent. Cette année, le protocole de Kyoto fête les 22 ans de sa signature… et les 11 ans de son abandon. <em>Il y a 22 ans que 184 des 193 membres de l’ONU ont reconnu la nécessité d’agir rapidement</em>. Il m’est difficile de ne pas mettre quelques jurons après cette phrase tant il est simplement impensable qu’après 22 ans, des milliers et des milliers d’études, une confirmation quasi-quotidienne que les projections faites dans les années 1990 étaient justes voire inférieures à la réalité, validant ainsi les impacts projetés et graves qui nous attendant, bref qu’après tout ça, si peu soit fait, que nous discutons du bien-fondé de mettre une jeune femme de 16 ans à l’avant plan.</p>

<p><img src="/images/2019-09-21_Evolution_GES_Qc.png" alt="Évolution des émissions de GES au Québec" /></p>
<div class="photoattrib">Évolution des émissions de GES au Québec depuis 1990. Au moins la production de GES a été désollidarisée du PIB, mais dans l'absolu, ça stagne. Source: <a href="http://www.environnement.gouv.qc.ca/changements/ges/2015/inventaire1990-2015.pdf">Gouvernement du Québec</a></div>

<p>Le prix Nobel de l’économie 2018, William Nordhaus a commencé à démontrer au début des années 2000 l’impact économique désastreux d’ignorer les changements climatiques. Lui et ses collègues ont démontré, alors que le protocole de Kyoto se mourait, que même en prenant en compte un taux d’actualisation élevé (e.g l’argent d’aujourd’hui vaut moins que l’argent du futur), même en mettant une probabilité faible à la réalisation de l’impact négatif des changements climatiques, il était économiquement plus avantageux de prendre les actions nécessaires tôt que d’attendre et devoir gérer les conséquences plus tard.</p>

<p><strong>Bordel!</strong> (ça y est, le juron est sorti). Toutes les stratégies ont été essayées. Toutes les démonstrations possibles ont été faites. <strong>Toutes</strong>. Les scientifiques, les leaders d’opinion, la proposition de modèles youpi-la-vie, le shaming, tout a été essayé dans les vingt dernières années avec des effets tout à fait insuffisants. Alors oui, aujourd’hui c’est ça qui fait bouger les choses. C’est une fille de 16 ans qui parle aux présidents, aux ministres, qui mène des manifestations monstre, dont le visage fait le tour du monde, qui fait peur aux tenants de statu quo toxique qui nous emmène dans le mur. Même si ce n’est pas l’approche que je privilégie, qu’il en soit ainsi: j’y adhère de ton mon être.</p>

<h2 id="lextinction">L’extinction</h2>

<p>Autre point qui semble irriter le monde: le message voulant que nous allons droit vers l’extinction. Eh bien moi aussi ça m’irrite. Ou ça m’irritait. Notre Christian Rioux national, fier représentant du <em>“trouvons-nous de bonnes excuses pour ne rien faire”</em> l’a magnifiquement illustré dans <a href="https://www.ledevoir.com/opinion/chroniques/563004/en-cueillant-des-bleuets">une chronique récente</a>. Avec les effets de manche dont il a le secret, il nous laisse croire qu’il est ouvertement climato-sceptique, puis reconnait l’urgence climatique… pour mieux justifier son opposition au mouvement actuel en se basant sur le fait que l’éco-anxiété voire la panique qu’essaie de susciter le mouvement de grève ne fait que provoquer la paralysie nourrissant ainsi l’inaction.</p>

<p>Alors oui: je ne parle pas quotidiennement de mes réflexions sur le sujet à mes enfants parce que je ne veux pas les élever dans une éco-anxiété permanente. Je ne les ai pas amené en ce monde pour leur parler à 11 ans et moins de tous les périls qui les guettent. Mais ils marcheront avec moi vendredi. Et tous les jours, nous essayons à la maison des nouvelles choses pour baisser notre empreinte. Rien de parfait, notre foyer produit surement encore plus de GES qu’il ne devrait, mais nous essayons. Bref, la panique n’empêche pas l’action.</p>

<p>Je ne crois pas au scénario de l’extinction. Ça plait à l’esprit pour se forcer à se bouger, mais la Terre ne disparaitra pas. L’entiereté des espèces vivantes ne disparaitra pas. L’espèce humaine ne disparaitra pas. Du moins, pas avec une augmentation de température de 7°C. En revanche, cela va amener beaucoup de souffrance, beaucoup d’instabilité, beaucoup de misère, pour beaucoup, beaucoup de monde. Les tenants du statu quo vont en avoir pour leur argent lorsque la température aura augmenté de 7°C, ou même de 2°C. Si nous ne disparaitrons pas, en tant qu’espèce, pas mal tout ce à quoi nous tenons aujourd’hui est effectivement très susceptible de foutre le camp. Ce n’est pas pour rien que certains milliardaires cherchent à tout prix à construire un moyen pour s’isoler: ils voient le drame de notre civilisation arriver à grande vitesse.</p>

<p><img src="/images/2019-09-21_Planet_got_destroyed_tom_toro.png" alt="The planet got destroyer" /></p>
<div class="photoattrib">L'extinction n'est pas pour demain, mais quelle conséquence pour l'inaction et quel modèle protège l'inaction?<br /> Source: <a href="https://www.etsy.com/listing/510225080/signed-print-of-my-new-yorker-cartoon">Tom Toro</a>, The New Yorker</div>

<p>Alors je vois l’extinction comme une métaphore: ce qui est à risque de disparaitre, c’est une conception de l’humain, <em>Homo Sapiens</em>. La notion d’Homo Sapiens est le fruit du siècle des Lumières, et représente une vision de l’humain sage, l’humain qui sait, le genre d’<em>Homo</em> capable d’une réflexion sur sa propre action. Dans ce refus d’agir adéquatement face aux enjeux climatiques, notre civilisation n’est plus vraiment digne d’être <em>Sapiens</em>. Elle pourra être <em>Homo Miserabilis</em> ou <em>Homo Bellum</em>, l’homme en guerre perpétuelle contre son propre genre et contre son environnement.</p>

<p>Bref, je ne suis pas un tenant du message de l’extinction réelle, mais d’une extinction symbolique. Et, à mes yeux, cette extinction symbolique permet de porter le message au-delà de la question environnementale. Les climato-attentistes mettent en opposition une réelle réponse aux changements climatiques avec une certaine vision de la vie moderne ou avec une équité envers les personnes plus pauvres et vulnérables qui souffriraient, par exemple, d’une taxe carbone élevée ou autres actions fortes. Pourtant, si nous voulons être à la hauteur de notre espèce d’Homo Sapiens, si nous voulons que cette espèce ne disparaisse pas, nous avons évidemment le devoir de prendre en compte tous ces enjeux. Et les moyens existent, les chemins vers un monde durable où les plus vulnérables profitent des actions pour protéger l’environnement, pour réaliser une réelle transition, ces chemins existent et sont surement même nombreux. Mettre l’environnement en opposition avec la solidarité humaine, prendre comme exemple la tentative ratée de la France à cause du refus de la classe dirigeante de toucher à certaines vaches sacrées, c’est juste se voiler la face et justifier un immobilisme désormais impossible. Si nous ne décidons pas à bouger maintenant, les événements vont nous forcer à bouger, et probablement pas de la meilleure manière, en situation de crise.</p>

<h2 id="pourquoi-manifester">Pourquoi manifester</h2>

<p>Alors au milieu de tout cela, qu’est-ce que cela apporte de manifester pendant quelques heures. Qu’est-ce qu’une bonne vieille manifestation va bien pouvoir changer à tout ce que je viens d’expliquer?</p>

<p>Les jeunes ne sont-ils pas mieux d’être à l’école? Devenir ingénieurs et trouver des solutions aux changements climatiques comme le disent certains? Je suis ingénieur de formation. M’a-t-on appris à trouver des solutions pour les changements climatiques? Non! On m’a appris à produire plus de choses plus efficacement. On m’a appris à gérer une chaine logistique pour être que les sacrosaints produits soient livrés juste à temps, sans égards aux impacts, aux externalités. Implicitement, on m’a appris que la demande doit être satisfaite à tout prix. Alors, je peux le dire: nous n’avons pas tant que ça besoin d’ingénieurs. Nous avons besoin des décisions politiques claires, fortes et auxquels on se tient. La beauté du capitalisme, c’est sa flexibilité. La raison pour laquelle nos sociétés capitalistes ne se sont pas effondrées comme le prévoyait Marx, c’est parce que le capitalisme a une remarquable capacité d’adaptation, le cancrelat des régimes économiques. Alors ce dont a besoin notre système mondial (largement capitaliste), ce n’est pas d’être dorloté et protégé pour maintenir la fortune des milliardaires vivant sur des rentes quasi-monopolistiques ou des startups vivant sur du capital de risque toxique. Il a besoin de contraintes créatives, il a besoin des bons messages pour ajuster son fonctionnement, bref, il a besoin de décisions politiques fortes.</p>

<p>Et ces décisions politiques, quand elles ne viennent pas devant les évidences précédemment citées, il faut aller les chercher dans la rue. Oh non, la rue n’est pas parfaite, les solutions qui lui sont données sont souvent imparfaites, mais là encore quelle autre option? Quelle option qui n’a pas encore été testée? Et ça marche: le gouvernement Allemand commence à répondre à l’appel de la rue, avec un plan de 100 milliards d’euros sur 10 ans.</p>

<p>Ça fait une semaine que nous sommes en campagne électorale fédérale et je vois cote à cote dans les médias des articles sur les manifestations planétaires et des commentaires politiques sans que les deux se mêlent réellement. Certains commentateurs demandent même quel sera l’enjeu de campagne, comme si des centaines de milliers de personnes dans les rues n’étaient pas suffisant pour en faire un enjeu de campagne, comme si les commentateurs en question n’avaient pas leur rôle à jouer dans la définition de ces “enjeux de campagne”.</p>

<p>Ça pérore <em>ad nauseam</em> sur des propos ou des maquillages qui datent de 15 ans ou plus, mais ce qui se passe aujourd’hui dans nos rues? Andrew Scheer maintient qu’il faut soutenir la production du pétrole canadien car il est environnementalement moins néfaste que d’autres sources. Soit, pourquoi pas après tout. Mais qui le questionne sur le sujet? D’où vient cette affirmation alors que beaucoup de monde s’entend pour dire que les sables bitumineux sont parmi les sources les plus “sales”. Qui questionne le fait que si le Canada continue à produire, on contribue à maintenir bas le cout de cette matière qui nous est désormais toxique? Per-son-ne. Rien. Les propos sont reproduits comme une affirmation sans réelle implication. En revanche on revient <em>ad nauseam</em> sur sa position sur l’avortement qui est pourtant assez claire (à chacun à se faire une opinion après). Je prends l’exemple de Scheer mais c’est aussi vrai de la position des autres partis sur l’environnement… ou plutôt de la décision de faire les manchettes sur bien des sujets hormis celui dont des milliers de personnes veulent entendre parler pour faire leur choix dans les urnes.</p>

<p>C’est peut-être parce qu’il n’y a pas encore assez de monde dans la rue. Alors je vais y aller. Nous allons y aller en famille. On atteindra peut-être le seuil où on se fait entendre. Où ça devient un “enjeu de campagne”.</p>

<p>Je vais manifester pour dire que ce sujet est important. Comme le dit Alex Steffen, une personne qui n’a pas démérité depuis 15 ans pour faire avancer les choses, <em>“The climate emergency is not an issue, it’s an era.”</em> C’est notre ère, c’est notre vie. Nous devons être là pour demander des gestes dont nous savons qu’ils seront désagréables, dans un premier temps. J’irai manifester pour dire que je suis prêt aux changements nécessaires pour être en phase avec notre ère; que certes, il y aura des conséquences à ces changements, mais que les conséquences de l’inaction seront de loin plus lourdes. Il est temps d’agir.</p>

<hr />

<blockquote>
  <p>The climate emergency is not an issue, it’s an era.<br />
It’s when we live.</p>
  <div class="attrib"><a href="https://twitter.com/AlexSteffen/status/1175057303214546944">Alex Steffen</a></div>
</blockquote>
