title: Etalab ouvre une instance mastodon pour les agents publics
url: https://www.etalab.gouv.fr/etalab-ouvre-une-instance-mastodon-pour-les-agents-publics
hash_url: a5940471d627c43fb58e2b72d6caa8e4

<p>Vous avez peut-être entendu parler dernièrement de « <strong>mastodon</strong>« .</p>
<p>Il s’agit d’un réseau social au fonctionnement relativement proche de Twitter, mais entièrement libre, respectueux de la vie privée (aucun tracker par défaut) et décentralisé. Il s’appuie sur un protocole ouvert, pré-existant: OStatus (GNU social).</p>
<p><img class="alignnone size-medium wp-image-6864" src="https://www.etalab.gouv.fr/wp-content/uploads/2017/04/C91_wHxXkAAPqlZ-300x169.jpg" alt="" srcset="https://www.etalab.gouv.fr/wp-content/uploads/2017/04/C91_wHxXkAAPqlZ-300x169.jpg 300w, https://www.etalab.gouv.fr/wp-content/uploads/2017/04/C91_wHxXkAAPqlZ-768x432.jpg 768w, https://www.etalab.gouv.fr/wp-content/uploads/2017/04/C91_wHxXkAAPqlZ.jpg 810w" sizes="(max-width: 300px) 100vw, 300px"/></p>
<p>Bien que disponible depuis l’automne sur <a href="https://github.com/tootsuite/mastodon/">github</a>, son développeur <a href="https://hackernoon.com/welcome-to-mastodon-111d9227e56a">Eugen Rochko ne l’a mis en avant que le premier avril dernier</a>.</p>
<p>En à peine deux semaines, près de 400.000 comptes ont été ouverts sur <a href="https://instances.mastodon.xyz/list">un millier d’instances</a>, avec un rythme au moment où nous écrivons de <a href="https://social.lou.lt/users/mastodonusercount/updates/23028">200.000 nouveaux comptes par semaine</a>.</p>
<p>La communauté libriste française compte pour une bonne part dans ce démarrage sur les chapeaux de roue, puis ce sont les japonais qui se sont approprié ce nouvel outil et maintenant le phénomène semble prendre chez nos voisins espagnols. Du coup, le développement s’est accéléré et les nouvelles versions se succèdent rapidement depuis une semaine. Le financement de ce projet libre est assuré <a href="https://www.patreon.com/user?u=619786">via patreon</a>, actuellement avec un peu plus de 3000$/mois. Mastodon est écrit en ruby et nodejs et s’appuie sur postgres pour stocker les données ainsi que redis. nginx est utilisé en front pour gérer tout ce qui touche entre autres à https et à la sécurité.</p>
<p>Pour permettre aux agents de l’État d’expérimenter ce nouvel outil qui semble prometteur, Etalab a mis en place sa propre instance<strong> <a href="https://mastodon.etalab.gouv.fr/">https://mastodon.etalab.gouv.fr/</a></strong><br/>
Pour cette première phase un peu expérimentale, tout agent avec une adresse en « .gouv.fr » (ainsi que les domaines que nous avons identifiés comme relevant du service public tels que insee.fr, senat.fr…) peut s’ouvrir un compte. Ceci permet de garantir un minimum d’authenticité dans les identités car aucun mécanisme de certification n’existe actuellement sur mastodon.</p>
<p>Les CGU sont identiques à <a href="https://forum.etalab.gouv.fr/tos">celles du forum Etalab</a>.</p>
<p>Annoncé aujourd’hui dans la matinée, il y a déjà plus de 170 comptes ouverts et ce n’est sûrement qu’un début.</p>
<p><strong>Une discussion a été ouverte sur ce sujet sur le <a href="https://forum.etalab.gouv.fr/t/mastodon-le-reseau-social-libre-et-decentralise-en-plein-decollage/3538">Forum d’Etalab.</a></strong></p>
