title: Petit Guide D Aikido Partie 4
url: https://ut7.fr/blog/2019/08/29/petit-guide-d-aikido-partie-4.html
hash_url: bc9b917295e4d14151707c3ac4ccb8ea

<p>Prendre conscience qu’on est un éléphant dans une boutique de porcelaine ne
fournit pas instantanément l’adresse nécessaire pour s’intégrer gracieusement
et sans casse à son environnement.</p>

<p>Cette dernière partie de mon petit guide d’auto aïkido ne traite plus tant de
discipline mentale, que de discipline… tout court. Voici des recommandations
pour ne pas reproduire ses exactions habituelles, avec un nouveau regard.</p>

<h1 id="partie-4-la-dernière--gérer-les-effets-secondaires">Partie 4 (la dernière) : Gérer les effets secondaires</h1>

<p>Dans les parties précédentes, tu as appris comment
<a href="/blog/2019/05/24/petit-guide-d-aikido-partie-1.html">te préparer a l’écoute</a>,
<a href="/blog/2019/05/30/petit-guide-d-aikido-partie-2.html">maintenir ton écoute</a> et
comment <a href="/blog/2019/06/28/petit-guide-d-aikido-partie-3.html">te gérer pendant l’écoute</a>.</p>

<p>À la lecture de ce guide, tu as du apprendre des choses nouvelles, et ce n’est
probablement rien en comparaison avec ce que tu es sur le point d’apprendre quand
tu mettras en pratique ces gestes d’écoute.</p>

<p>Il y a fort à parier que ces apprentissages vont avoir des conséquences sur
ton comportement. C’est souhaitable, même. Mais toutes les conséquences
seront-elles positives ? Peut-être pas. Aussi te faudra-t-il faire preuve
de prudence.</p>

<p>Voici quelques règles de prudence à suivre.</p>

<h2 id="Être-patient">Être patient</h2>

<p>Si de ton côté, tu ressens de l’enthousiasme en explorant ce nouveau terrain
d’investigation, comprends que face à toi, le ressenti peut être très
différent.</p>

<p>Puisqu’il s’est passé tant d’années avant que tu te mettes enfin à écouter, tu
peux imaginer que ton interlocutrice puisse ressentir lassitude, impatience, ou
colère, qu’elle profite du fait que tu as enfin ouvert tes oreilles pour
exprimer ce qu’elle ressent, et ce ne sera probablement pas agréable à entendre.</p>

<p>Si c’est ce qui arrive, accueille-le comme une nouvelle marque de confiance.
Et profites-en pour t’entraîner à écouter.</p>

<h2 id="ne-pas-solliciter">Ne pas solliciter</h2>

<p>Peut-être parviendras-tu également à imaginer que pour une femme, parler de
sexisme à un homme, ça peut être risquer de perdre son temps, ça
peut-être aussi fatigant, et même potentiellement dangereux.</p>

<p>Alors si tu as la chance d’avoir face à toi une femme qui aborde le sujet, reçois
cette conversation comme un cadeau, apprécie ta chance, et ne cache pas ta gratitude.</p>

<p>Autant que possible, évite de solliciter de telles conversations.  Si tu ne
parviens pas à t’en empêcher, fais-le respectueusement, et prépare-toi à
accepter un refus.</p>

<p>À la place, va plutôt écouter ce que bien des femmes ont déjà dit ou écrit.
Internet regorge de témoignages sur le sujet, sous forme d’articles, de
podcast, ou de vidéos. Il existe aussi une littérature abondante sur la
question.</p>

<h2 id="rester-humble">Rester humble</h2>

<p>Tel le jeune padawan exalté qui vient de voir son maître Yoda couper une figue
molle avec la force (du tranchant de sa cuillère), tu veux faire profiter au monde
de tes nouvelles connaissances.</p>

<p>Ça va passer par l’envie de raconter aux femmes ce que tu as compris.  Dis-toi
qu’elles se sont peut-être penchées sur la question bien avant
que tu t’y mettes. Peut-être par la force des choses, et depuis le début de
leur vie. Alors abstiens-toi.</p>

<p>Peut-être aussi voudras-tu faire la leçon à d’autres hommes. Mais dis-toi que
s’ils n’ont pas eu une épiphanie aussi exaltante que la tienne, c’est qu’ils
partaient de moins loin que toi.</p>

<h2 id="entretenir-le-doute-encore">Entretenir le doute, encore</h2>

<p>Le doute est ton point de départ.
C’est aussi ton compagnon de route, pour toujours.</p>

<p>Tu ne pourras jamais savoir si tu as fini ta découverte, s’il ne reste pas
encore des pans entiers de prise de conscience que tu n’as pas encore exploré.</p>

<p>C’est comme si tu avançais dans un brouillard épais : tu n’as aucun moyen de
voir quelle distance il reste à parcourir, ni même de mesurer la distance
déjà parcourue.</p>

<p>Tout ce que tu peux faire, c’est mesurer l’effort que tu as fourni pour arriver
là où tu es aujourd’hui.</p>

<p>Plus tu auras fait d’efforts, plus tu auras de raisons de croire que tu n’as
plus rien à découvrir, plus tes résistances seront solides, et plus le doute te
sera nécessaire pour sortir de tes convictions et progresser plus loin.</p>

<p>Alors chéris ce doute, en relisant ce guide.</p>

<h1 id="Épilogue">Épilogue</h1>

<p>Voilà qui achève la première version de ce guide.  Une fois de plus, votre
expérience m’intéresse : est-ce que ces recommandations fonctionnent pour
vous ? Quelles disciplines avez-vous inventées pour votre propre usage ? Avec
quelles conséquences ?</p>

<p>Pour ma part, j’ai écrit cette série d’article fin 2018.
Le fait d’avoir verbalisé par écrit ces règles de conduite m’a beaucoup
aidé à les respecter.
Aujourd’hui je continue de suivre cette discipline, certaines tout à fait
spontanément, et pour d’autres, ça reste laborieux.</p>

<p>Respecter cette discipline a des conséquences pour moi : la manière dont je
perçois le monde change peu a peu, et mon comportement aussi.  Je ne suis pas
encore décidé à en dire plus publiquement à ce sujet.  Mais voilà ce que je
peux déjà dire en quelques mots : Ma vie était plus facile avant, mais
aujourd’hui, ma relation aux autres s’améliore.</p>
