title: A Criminal Gang Used a Drone Swarm To Obstruct an FBI Hostage Raid
url: https://www.defenseone.com/technology/2018/05/criminal-gang-used-drone-swarm-obstruct-fbi-raid/147956/
hash_url: c00f7f015b5b8fce1eb454b8633d44ed

<p><span class="caps">DENVER</span>, Colorado — Last winter, on the outskirts of a large <span class="caps">U.S.</span> city, an <span class="caps">FBI</span> hostage rescue team set up an elevated observation post to assess an unfolding situation. Soon they heard the buzz of small drones — and then the tiny aircraft were all around them, swooping past in a series of “high-speed low passes at the agents in the observation post to flush them,” the head of the agency’s operational technology law unit told attendees of the<a href="https://www.xponential.org/xponential2018/public/enter.aspx"> <span class="caps">AUVSI</span> Xponential</a> conference here. Result: “We were then blind,” said Joe Mazel, meaning the group lost situational awareness of the target. “It definitely presented some challenges.”</p>
<p>The incident remains “law enforcement-sensitive,” Mazel said Wednesday, declining to say just where or when it took place. But it shows how criminal groups are using small drones for increasingly elaborate crimes.</p>
<p><strong>» <a data-saferedirecturl="https://www.google.com/url?hl=en&amp;q=https://itunes.apple.com/us/podcast/defense-one-radio/id1256043663?mt%3D2&amp;source=gmail&amp;ust=1525530461081000&amp;usg=AFQjCNGCXE71UMLzvBQTzt4l51TqbnCsXA" href="https://itunes.apple.com/us/podcast/defense-one-radio/id1256043663?mt=2" target="_blank">Subscribe</a> to our new, weekly podcast Defense One Radio! </strong><strong><a data-saferedirecturl="https://www.google.com/url?hl=en&amp;q=https://soundcloud.com/defenseone/episode-1-welcome-to-defense-one-radio&amp;source=gmail&amp;ust=1525530461081000&amp;usg=AFQjCNE2gOpxlyyX8zqZdyPDLZZ6dNq6aQ" href="https://soundcloud.com/defenseone/episode-2-korean-summit-space-force-conversations-with-eric-fanning-paul-scharre-and-more" target="_blank">Episode 2 begins here.</a></strong></p>
<p>Mazel said the suspects had backpacked the drones to the area in anticipation of the <span class="caps">FBI</span>’s arrival. Not only did they buzz the hostage rescue team, they also kept a continuous eye on the agents, feeding video to the group’s other members via YouTube. “They had people fly their own drones up and put the footage to YouTube so that the guys who had cellular access could go to the YouTube site and pull down the video,” he said.</p><div class="d1-article-left-rail-subscribe-container">
<p class="d1-article-sidebar-subscribe-title">
<span class="d1-article-sidebar-subscribe-title-text">Subscribe</span>
</p>
<p class="d1-article-sidebar-subscribe-msg"><em>Receive daily email updates:</em></p>
<p class="d1-article-sidebar-subscribe-msg">Subscribe to the Defense One daily.</p>
<p class="d1-article-sidebar-subscribe-msg">Be the first to receive updates.</p>

</div>
<p>Mazel said counter surveillance of law enforcement agents is the fastest-growing way that organized criminals are using drones.</p>
<p>Some criminal organizations have begun to use drones as part of witness intimidation schemes: they continuously surveil police departments and precincts in order to see “who is going in and out of the facility and who might be co-operating with police,” he said.</p>
<p>Drones are also playing a greater role in robberies and the like. Beyond the <a href="https://www.telegraph.co.uk/news/uknews/crime/11613568/Burglars-use-drone-helicopters-to-identify-targe-homes.html">well-documented incidence of house break-ins</a>, criminal crews are using them to observe bigger target facilities, spot security gaps, and determine patterns of life: where the security guards go and when.</p>
<p>In Australia, criminal groups have begun have used drones as part of elaborate smuggling schemes, Mazel said. The gangs will monitor port authority workers. If the workers get close to a shipping container that houses illegal substances or contraband, the gang will call in a fire, theft, or some other false alarm to draw off security forces.</p>
<p>Andrew Scharnweber, associate chief of <span class="caps">U.S.</span> Customs and Border Protection, described how criminal networks were using drones to watch Border Patrol officers, identify their gaps in coverage, and exploit them.</p>
<p>“In the Border Patrol, we have struggled with scouts, human scouts that come across the border. They’re stationed on various mountaintops near the border and they would scout … to spot law enforcement and radio down to their counterparts to go around us. That activity has effectively been replaced by drones,” said Scharnweber, who added that cartels are able to move small amounts of high-value narcotics across the border via drones with “little or no fear of arrest.”</p>
<p>Nefarious use of drones is likely to get worse before it gets better, according to several government officials who spoke on the panel. There is no easy or quick technological solution. While the <span class="caps">U.S.</span> military has effectively deployed drone-jamming equipment to the front lines in Syria and Iraq, most of these solutions are either unsuitable or have not been tested for use in American cities where they may interfere with cell phone signals and possibly the avionics of other aircraft, said Ahn Duong, the program executive officer at <span class="caps">DHS</span>’s homeland security, science and technology directorate.</p>
<p>The most recent version of the<a href="https://www.govtrack.us/congress/bills/115/hr4"> <span class="caps">FAA</span> reauthorization</a> bill contains two amendments that could help the situation, according to Angela Stubblefield, the <span class="caps">FAA</span>’s deputy associate administrator in the office of security and hazardous materials safety. One would make it illegal to “weaponize” consumer drones.</p>
<p>The other — and arguably more important — amendment would require drones that fly beyond their operators’ <a href="https://www.faa.gov/uas/faqs/">line of sight</a> to broadcast an identity allowing law enforcement to track and connect them to a real person.</p>
<p>“Remote identification is a huge piece” of cutting down on drone crime, Stubblefield said. “Both from a safety perspective… enabling both air traffic control and other  <span class="caps">UAS</span> [unmanned areal systems] to know where another is and enabling beyond line-of-sight operations. It also has an extensive security benefit to it, which is to enable threat discrimination. <a href="https://www.law.com/therecorder/2018/03/05/drone-remote-id/?slreturn=20180403143548">Remote <span class="caps">ID</span></a> connected to registration would allow you to have information about each <span class="caps">UAS</span>, who owns it, operates it, and thus have some idea what its intent is,” said Stubblefield.</p>
<p>But even if both amendments pass as part of the re-authorization, it will be some time before they take effect, so it will be the Wild West in America’s skies a while longer.<img class="tombstone" src="https://cdn.defenseone.com/b/defenseone/img/article-end.png"/></p>
